import type Vue from 'vue';
import type { DrawerConfig } from '../config-provider/config-receiver';
import type { ClassName, Styles } from '../../common.type';
import type { DrawerCloseContext, FooterButton } from './type';
declare type FooterButtonType = 'confirm' | 'cancel';
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider/type").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    getConfirmBtn(options: import("../dialog/mixins/action").MixinsConfirmBtn): any;
    getCancelBtn(options: import("../dialog/mixins/action").MixinsCancelBtn): any;
    getButtonByProps(button: string | import("../button").TypeButtonProps, defaultButton: import("../button").TypeButtonProps, className?: ClassName): JSX.Element;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    getDefaultConfirmBtnProps(options: import("../dialog/mixins/action").MixinsConfirmBtn): import("../button").TypeButtonProps;
    getDefaultCancelBtnProps(options: import("../dialog/mixins/action").MixinsCancelBtn): import("../button").TypeButtonProps;
} & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: DrawerConfig;
    classPrefix: string;
    componentName: string;
    installName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    isSizeDragging: boolean;
    draggedSizeValue: any;
}, {
    enableDrag(): void;
    handleMouseup(): void;
    handleMousemove(e: MouseEvent): void;
    handleScrollThrough(visible: boolean): void;
    handlePushMode(): void;
    updatePushMode(): void;
    getDefaultBtn(btnType: FooterButtonType, btnApi: FooterButton): JSX.Element;
    isUseDefault(btnApi: FooterButton): boolean;
    getDefaultFooter(): JSX.Element;
    handleCloseBtnClick(e: MouseEvent): void;
    handleWrapperClick(e: MouseEvent): void;
    onKeyDown(e: KeyboardEvent): void;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    closeDrawer(params: DrawerCloseContext): void;
}, {
    drawerClasses: ClassName;
    sizeValue: string;
    wrapperStyles: Styles;
    wrapperClasses: ClassName;
    parentNode: HTMLElement;
    modeAndPlacement: string;
    footerStyle: Styles;
    isHorizontal: boolean;
    isVertical: boolean;
    draggableLineStyles: Styles;
}, {
    attach: import("../../common.type").AttachNode;
    body: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cancelBtn: FooterButton;
    closeBtn: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    closeOnEscKeydown: any;
    closeOnOverlayClick: any;
    confirmBtn: FooterButton;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    footer: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    mode: "push" | "overlay";
    placement: "left" | "right" | "top" | "bottom";
    preventScrollThrough: boolean;
    showInAttachedElement: boolean;
    showOverlay: boolean;
    size: any;
    sizeDraggable: boolean;
    visible: boolean;
    zIndex: number;
    onCancel: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: DrawerCloseContext) => void;
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onConfirm: (context: {
        e: MouseEvent;
    }) => void;
    onEscKeydown: (context: {
        e: KeyboardEvent;
    }) => void;
    onOverlayClick: (context: {
        e: MouseEvent;
    }) => void;
}>;
export default _default;
